using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

public enum EBusinessType
{
    /// <summary>
    /// 坐席节点
    /// </summary>
    [Description("坐席节点")]
    Seat = 0,

    /// <summary>
    /// 派单节点
    /// </summary>
    [Description("派单节点")]
    Send = 1,

    /// <summary>
    /// 部门节点
    /// </summary>
    [Description("部门节点")]
    Department = 2,

    /// <summary>
    /// 部门领导
    /// </summary>
    [Description("部门领导节点")]
    DepartmentLeader = 3,

    /// <summary>
    /// 归档节点
    /// </summary>
    [Description("归档节点")]
    File = 99,
}